<script setup lang="ts">
import { onMounted, ref } from 'vue'
import { useApi } from '@/api'
import type Product from '@/models/Product'

const pageCount = ref<number>(1)

const products = ref<Product[]>([])

const { getProducts } = useApi()

onMounted(async () => {
  const response = await getProducts()
  pageCount.value = response.pageCount
  products.value = response.data
})
</script>
<template>
<div>Catalog - {{ pageCount }}</div>
</template>
